VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_2
        SIGNAL XLXN_3
        SIGNAL sysclk
        SIGNAL MBT_in
        SIGNAL DIN
        SIGNAL led(7:0)
        SIGNAL INIT
        SIGNAL CF
        SIGNAL PROG
        SIGNAL XLXN_21
        SIGNAL REV_sel
        SIGNAL XLXN_25
        SIGNAL XLXN_26
        PORT Input sysclk
        PORT Input MBT_in
        PORT Input DIN
        PORT Output led(7:0)
        PORT Output INIT
        PORT Output CF
        PORT Output PROG
        PORT Output REV_sel
        BEGIN BLOCKDEF moduletest
            TIMESTAMP 2006 1 4 23 29 0
            LINE N 64 -160 0 -160 
            LINE N 64 -32 0 -32 
            RECTANGLE N 64 -192 364 64 
            LINE N 368 32 432 32 
            LINE N 368 -160 432 -160 
            LINE N 368 -96 432 -96 
            RECTANGLE N 368 -44 432 -20 
            LINE N 368 -32 432 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF pattern2
            TIMESTAMP 2006 1 4 23 23 10
            LINE N 64 32 0 32 
            LINE N 320 32 384 32 
            LINE N 64 -224 0 -224 
            LINE N 64 -160 0 -160 
            LINE N 64 -96 0 -96 
            LINE N 64 -32 0 -32 
            LINE N 320 -224 384 -224 
            LINE N 320 -160 384 -160 
            LINE N 320 -32 384 -32 
            RECTANGLE N 64 -256 320 64 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 moduletest
            PIN sysclk sysclk
            PIN MBT_in MBT_in
            PIN REV_SEL_switch
            PIN MBT_out
            PIN RESET_out
            PIN led(7:0) led(7:0)
            PIN REV_SEL_out XLXN_26
        END BLOCK
        BEGIN BLOCK XLXI_2 pattern2
            PIN sysclk sysclk
            PIN MBT XLXN_2
            PIN RESET XLXN_3
            PIN DIN DIN
            PIN PROG PROG
            PIN CF CF
            PIN INIT INIT
            PIN REV_sel_IN XLXN_26
            PIN REV_sel_OUT REV_sel
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH sysclk
            WIRE 912 640 1008 640
            WIRE 1008 640 1008 720
            WIRE 1008 720 1024 720
            WIRE 1008 592 1008 640
            WIRE 1008 592 1456 592
            WIRE 1456 592 1456 688
            WIRE 1456 688 1744 688
        END BRANCH
        BEGIN BRANCH MBT_in
            WIRE 992 848 1008 848
            WIRE 1008 848 1024 848
        END BRANCH
        IOMARKER 992 848 MBT_in R180 28
        BEGIN BRANCH led(7:0)
            WIRE 1408 848 1456 848
            WIRE 1456 848 1552 848
            WIRE 1552 848 1552 1136
            WIRE 1552 1136 1664 1136
            WIRE 1664 1136 1680 1136
        END BRANCH
        BEGIN BRANCH DIN
            WIRE 1728 880 1744 880
        END BRANCH
        BEGIN BRANCH INIT
            WIRE 2128 880 2144 880
            WIRE 2144 880 2160 880
        END BRANCH
        BEGIN BRANCH CF
            WIRE 2128 752 2144 752
            WIRE 2144 752 2160 752
        END BRANCH
        BEGIN BRANCH PROG
            WIRE 2128 688 2144 688
            WIRE 2144 688 2160 688
        END BRANCH
        IOMARKER 2160 880 INIT R0 28
        IOMARKER 2160 752 CF R0 28
        IOMARKER 2160 688 PROG R0 28
        IOMARKER 1728 880 DIN R180 28
        IOMARKER 912 640 sysclk R180 28
        BEGIN BRANCH XLXN_3
            WIRE 1408 784 1424 784
            WIRE 1424 784 1424 816
            WIRE 1424 816 1728 816
            WIRE 1728 816 1744 816
        END BRANCH
        BEGIN BRANCH XLXN_2
            WIRE 1408 720 1424 720
            WIRE 1424 720 1424 752
            WIRE 1424 752 1728 752
            WIRE 1728 752 1744 752
        END BRANCH
        BEGIN INSTANCE XLXI_2 1744 912 R0
        END INSTANCE
        BEGIN BRANCH REV_sel
            WIRE 2128 944 2144 944
            WIRE 2144 944 2160 944
        END BRANCH
        IOMARKER 2160 944 REV_sel R0 28
        IOMARKER 1680 1136 led(7:0) R0 28
        BEGIN BRANCH XLXN_26
            WIRE 1408 912 1456 912
            WIRE 1456 912 1568 912
            WIRE 1568 912 1568 944
            WIRE 1568 944 1728 944
            WIRE 1728 944 1744 944
        END BRANCH
        BEGIN INSTANCE XLXI_1 1024 880 R0
        END INSTANCE
    END SHEET
END SCHEMATIC
