--------------------------------------------------------------------------------
-- Copyright (c) 1995-2003 Xilinx, Inc.
-- All Right Reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 7.1.04i
--  \   \         Application : sch2vhdl
--  /   /         Filename : module_schem.vhf
-- /___/   /\     Timestamp : 01/03/2006 17:20:34
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: C:/Xilinx/bin/nt/sch2vhdl.exe -intstyle ise -family spartan3e -flat -suppress -w module_schem.sch module_schem.vhf
--Design Name: module_schem
--Device: spartan3e
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
-- synopsys translate_off
library UNISIM;
use UNISIM.Vcomponents.ALL;
-- synopsys translate_on

entity module_schem is
   port ( DIN     : in    std_logic; 
          MBT_in  : in    std_logic; 
          sysclk  : in    std_logic; 
          CF      : out   std_logic; 
          INIT    : out   std_logic; 
          led     : out   std_logic_vector (7 downto 0); 
          PROG    : out   std_logic; 
          REV_sel : out   std_logic);
end module_schem;

architecture BEHAVIORAL of module_schem is
   signal XLXN_2  : std_logic;
   signal XLXN_3  : std_logic;
   component moduletest
      port ( sysclk    : in    std_logic; 
             MBT_in    : in    std_logic; 
             MBT_out   : out   std_logic; 
             RESET_out : out   std_logic; 
             led       : out   std_logic_vector (7 downto 0));
   end component;
   
   component pattern2
      port ( sysclk  : in    std_logic; 
             MBT     : in    std_logic; 
             RESET   : in    std_logic; 
             DIN     : in    std_logic; 
             PROG    : out   std_logic; 
             CF      : out   std_logic; 
             REV_sel : out   std_logic; 
             INIT    : out   std_logic);
   end component;
   
begin
   XLXI_1 : moduletest
      port map (MBT_in=>MBT_in,
                sysclk=>sysclk,
                led(7 downto 0)=>led(7 downto 0),
                MBT_out=>XLXN_2,
                RESET_out=>XLXN_3);
   
   XLXI_2 : pattern2
      port map (DIN=>DIN,
                MBT=>XLXN_2,
                RESET=>XLXN_3,
                sysclk=>sysclk,
                CF=>CF,
                INIT=>INIT,
                PROG=>PROG,
                REV_sel=>REV_sel);
   
end BEHAVIORAL;


