VERSION 6
BEGIN SCHEMATIC
    BEGIN ATTR DeviceFamilyName "spartan3e"
        DELETE all:0
        EDITNAME all:0
        EDITTRAIT all:0
    END ATTR
    BEGIN NETLIST
        SIGNAL XLXN_2
        SIGNAL XLXN_3
        SIGNAL led(7:0)
        SIGNAL sysclk
        SIGNAL PROG
        SIGNAL CF
        SIGNAL INIT
        SIGNAL MBT_in
        SIGNAL REV_sel_OUT(1:0)
        SIGNAL XLXN_105(1:0)
        SIGNAL DIN(7:0)
        PORT Output led(7:0)
        PORT Input sysclk
        PORT Output PROG
        PORT Output CF
        PORT Output INIT
        PORT Input MBT_in
        PORT Output REV_sel_OUT(1:0)
        PORT Input DIN(7:0)
        BEGIN BLOCKDEF moduleTest
            TIMESTAMP 2007 3 12 17 2 34
            LINE N 64 -160 0 -160 
            LINE N 368 -160 432 -160 
            LINE N 368 -96 432 -96 
            RECTANGLE N 64 -192 368 128 
            LINE N 64 -96 0 -96 
            RECTANGLE N 368 84 432 108 
            LINE N 368 96 432 96 
            RECTANGLE N 368 -44 432 -20 
            LINE N 368 -32 432 -32 
        END BLOCKDEF
        BEGIN BLOCKDEF multiBoot_module
            TIMESTAMP 2007 3 1 0 37 9
            RECTANGLE N 0 4 64 28 
            LINE N 64 16 0 16 
            LINE N 64 -288 0 -288 
            LINE N 352 -288 416 -288 
            LINE N 352 -208 416 -208 
            LINE N 352 -160 416 -160 
            LINE N 64 -240 0 -240 
            LINE N 64 -176 0 -176 
            RECTANGLE N 0 -124 64 -100 
            LINE N 64 -112 0 -112 
            RECTANGLE N 352 -76 416 -52 
            LINE N 352 -64 416 -64 
            RECTANGLE N 64 -320 352 96 
        END BLOCKDEF
        BEGIN BLOCK XLXI_1 moduleTest
            PIN sysclk sysclk
            PIN MBT_in MBT_in
            PIN MBT_out XLXN_2
            PIN RESET_out XLXN_3
            PIN led(7:0) led(7:0)
            PIN REV_SEL_out(1:0) XLXN_105(1:0)
        END BLOCK
        BEGIN BLOCK XLXI_3 multiBoot_module
            PIN sysclk sysclk
            PIN MBT XLXN_2
            PIN RESET XLXN_3
            PIN REV_sel_IN(1:0) XLXN_105(1:0)
            PIN DIN(7:0) DIN(7:0)
            PIN PROG PROG
            PIN CF CF
            PIN INIT INIT
            PIN REV_sel_OUT(1:0) REV_sel_OUT(1:0)
        END BLOCK
    END NETLIST
    BEGIN SHEET 1 3520 2720
        BEGIN BRANCH XLXN_2
            WIRE 1424 720 1520 720
        END BRANCH
        BEGIN BRANCH XLXN_3
            WIRE 1424 784 1520 784
        END BRANCH
        IOMARKER 816 656 sysclk R180 28
        IOMARKER 784 1040 DIN(7:0) R180 28
        BEGIN BRANCH PROG
            WIRE 1936 672 2032 672
        END BRANCH
        BEGIN BRANCH CF
            WIRE 1936 752 2032 752
        END BRANCH
        BEGIN BRANCH INIT
            WIRE 1936 800 2032 800
        END BRANCH
        BEGIN INSTANCE XLXI_3 1520 960 R0
        END INSTANCE
        IOMARKER 2032 672 PROG R0 28
        IOMARKER 2032 752 CF R0 28
        IOMARKER 2032 800 INIT R0 28
        BEGIN BRANCH led(7:0)
            WIRE 1424 976 1440 976
            WIRE 1440 976 1440 1088
            WIRE 1440 1088 2000 1088
            WIRE 2000 976 2048 976
            WIRE 2000 976 2000 1088
        END BRANCH
        BEGIN BRANCH sysclk
            WIRE 816 656 960 656
            WIRE 960 656 960 672
            WIRE 960 672 1520 672
            WIRE 944 672 960 672
            WIRE 944 672 944 720
            WIRE 944 720 992 720
        END BRANCH
        BEGIN INSTANCE XLXI_1 992 880 R0
        END INSTANCE
        BEGIN BRANCH MBT_in
            WIRE 832 784 848 784
            WIRE 848 784 992 784
        END BRANCH
        BEGIN BRANCH REV_sel_OUT(1:0)
            WIRE 1936 896 2016 896
            WIRE 2016 896 2032 896
        END BRANCH
        IOMARKER 2032 896 REV_sel_OUT(1:0) R0 28
        IOMARKER 832 784 MBT_in R180 28
        BEGIN BRANCH XLXN_105(1:0)
            WIRE 1424 848 1440 848
            WIRE 1440 848 1504 848
            WIRE 1504 848 1520 848
        END BRANCH
        BEGIN BRANCH DIN(7:0)
            WIRE 784 1040 800 1040
            WIRE 800 1040 1504 1040
            WIRE 1504 976 1520 976
            WIRE 1504 976 1504 1040
        END BRANCH
        IOMARKER 2048 976 led(7:0) R0 28
    END SHEET
END SCHEMATIC
