--------------------------------------------------------------------------------
-- Copyright (c) 1995-2007 Xilinx, Inc.  All rights reserved.
--------------------------------------------------------------------------------
--   ____  ____ 
--  /   /\/   / 
-- /___/  \  /    Vendor: Xilinx 
-- \   \   \/     Version : 9.1.01i
--  \   \         Application : sch2vhdl
--  /   /         Filename : module_schem.vhf
-- /___/   /\     Timestamp : 03/12/2007 10:03:14
-- \   \  /  \ 
--  \___\/\___\ 
--
--Command: \\radiance\xfndry\J.32\rtf\bin\nt\sch2vhdl.exe -intstyle ise -family spartan3e -flat -suppress -w C:/Data/XAPP000-MBT/V5_483Test_v0.2/483test_V1.5_DIN_Pattern2_speedUP_working_MODULIZED_cleanup_3E_1001001_check/483test2_2bit_REV_SEL/module_schem.sch module_schem.vhf
--Design Name: module_schem
--Device: spartan3e
--Purpose:
--    This vhdl netlist is translated from an ECS schematic. It can be 
--    synthesis and simulted, but it should not be modified. 
--

library ieee;
use ieee.std_logic_1164.ALL;
use ieee.numeric_std.ALL;
library UNISIM;
use UNISIM.Vcomponents.ALL;

entity module_schem is
   port ( DIN         : in    std_logic_vector (7 downto 0); 
          MBT_in      : in    std_logic; 
          sysclk      : in    std_logic; 
          CF          : out   std_logic; 
          INIT        : out   std_logic; 
          led         : out   std_logic_vector (7 downto 0); 
          PROG        : out   std_logic; 
          REV_sel_OUT : out   std_logic_vector (1 downto 0));
end module_schem;

architecture BEHAVIORAL of module_schem is
   signal XLXN_2      : std_logic;
   signal XLXN_3      : std_logic;
   signal XLXN_105    : std_logic_vector (1 downto 0);
   component moduleTest
      port ( sysclk      : in    std_logic; 
             MBT_in      : in    std_logic; 
             MBT_out     : out   std_logic; 
             RESET_out   : out   std_logic; 
             led         : out   std_logic_vector (7 downto 0); 
             REV_SEL_out : out   std_logic_vector (1 downto 0));
   end component;
   
   component multiBoot_module
      port ( sysclk      : in    std_logic; 
             MBT         : in    std_logic; 
             RESET       : in    std_logic; 
             REV_sel_IN  : in    std_logic_vector (1 downto 0); 
             DIN         : in    std_logic_vector (7 downto 0); 
             PROG        : out   std_logic; 
             CF          : out   std_logic; 
             INIT        : out   std_logic; 
             REV_sel_OUT : out   std_logic_vector (1 downto 0));
   end component;
   
begin
   XLXI_1 : moduleTest
      port map (MBT_in=>MBT_in,
                sysclk=>sysclk,
                led(7 downto 0)=>led(7 downto 0),
                MBT_out=>XLXN_2,
                RESET_out=>XLXN_3,
                REV_SEL_out(1 downto 0)=>XLXN_105(1 downto 0));
   
   XLXI_3 : multiBoot_module
      port map (DIN(7 downto 0)=>DIN(7 downto 0),
                MBT=>XLXN_2,
                RESET=>XLXN_3,
                REV_sel_IN(1 downto 0)=>XLXN_105(1 downto 0),
                sysclk=>sysclk,
                CF=>CF,
                INIT=>INIT,
                PROG=>PROG,
                REV_sel_OUT(1 downto 0)=>REV_sel_OUT(1 downto 0));
   
end BEHAVIORAL;


